#ifndef ECFReader
#define ECFReader
#include "CCIDReader.h"

class CECFReader :
	public CEC30Reader
{
public:
	CECFReader(CReader *Owner,CBaseCommunication *Communicator);
	virtual ~CECFReader(void);
	int GetReaderInfo(cjeca_Info *Info);
	virtual CJ_RESULT CtSetContrast(EContrast eContrast,uint32_t *Result);


protected:
	virtual uint16_t HostToReaderShort(uint16_t Value);
	virtual uint32_t HostToReaderLong(uint32_t Value);
	int _GetReaderInfo();
	virtual void SetHWString(char *String);
	virtual void GetProductString(uint8_t *Product);
	virtual CJ_RESULT SetFlashMask(void);
	virtual int GetWarmstartTimeout(void);


};
#endif
